Adverti horiz upsell

prAttractNode 0.9.4 for Maya (maya plugin)

Deformer that attracts mesh vertices to curve/nurbs/polymesh

License
Button download
3,897 Downloads

Compatibility

  • 2015, 2014, 2013, 2012, 2011, 2010, 2009, 2008

Operating Systems

  • Linux
  • Mac
  • Windows

History

Created:02/16/2011
Last Modified:04/29/2014
File Size: 114 KB

Keywords

maya, deformer, attract, C++

Q/A

How to install prAttractNode on Maya Linux OS ?

Date:09/03/2013
Submitted by: rifaulmen rifaulmen
I'm User Linux I can't acces This python,,It's Only windows Work.
How to install prAttractNode on Maya Linux OS ?

Replies to this question:

  • Replyindent
    parzival roethlein

    parzival roethlein said almost 9 years ago:

    Hey, if you want to use the cpp version on Linux, you have to compile it yourself. Or find someone who can do it for you because I do not have access to a Linux machine. But the Python version should work. What happens if you load the .py file in the plug-in manager?
  • rifaulmen

    rifaulmen said almost 9 years ago:

    Hi I load From plugins And sources Python command .py And .cpp ,, Error Load Plu-gins prAttractNode.py And Error Load Plu-gins prAttractNode.cpp I get like this Image Apreciate : )
  • Replyindent
    rifaulmen

    rifaulmen said almost 9 years ago:

    When I load prAttractNode.py From Plug-ins,I get Like This on Script Editor: // Error: ImportError: No module named prLibrary.prLibrary // // Warning: Failed to run file: /home/ubuntu/maya/2012-x64/plug-ins/prAttractNode.py // // Error: pymel.core : Failed to get command list from prAttractNode // // Error: pymel.core : Failed to get depend nodes list from prAttractNode // // Error: (prAttractNode) //
  • Replyindent
    parzival roethlein

    parzival roethlein said almost 9 years ago:

    Good to know the other ones are working. So it should be solvable. Can you upload an image with the script editor open, so the whole error message is visible? Or paste the error code. Since I don't have access to Linux I can not really debug it. But maybe it is something simple.
  • Replyindent
    rifaulmen

    rifaulmen said almost 9 years ago:

    You are right. https://img849.imageshack.us/img849/6374/evo6.jpg But Another script prSlideNode.py And prVertexDistanceNode.py It works From load plu-gins. Only prAttractNode. Maybe my machine must update or ,,,,, Thanks For Advanced
  • Replyindent
    parzival roethlein

    parzival roethlein said almost 9 years ago:

    Hi, the image resolution is too low for me to read the error. Can you upload it in a higher resolution to another site? Btw, you can never load the .cpp file in any OS. That is just the source-code that has to be compiled to create a .mll (.dll) on Windows. For Linux and OS it is another file type, which is not provided. So it is only the prAttractNode.py that should load.
  • Dmitry Kryukof

    Dmitry Kryukof said over 8 years ago:

    Hi, I'm trying to use the plugin (python version) on Linux platform. First swears on line 148 from .. prLibrary.prLibrary import * If I comment on it, and run again, comes another error line 253, in deform # points = iter.allPositions( points ) # UnboundLocalError: local variable 'points' referenced before assignment //
  • Replyindent
    parzival roethlein

    parzival roethlein said over 8 years ago:

    Hey, I just uploaded an older version that should work. I probably should have done that after the first report. I thought I could upload a newer version sooner, but it is still work in progress.
  • Replyindent
    asdf asdf

    asdf asdf said over 8 years ago:

    I hope its not unpolite to ask if there will be an Update to the python version soon. I've been waiting for it to happen. I'm on OSX and I have this error message: // Error: file: /Applications/Autodesk/maya2015/Maya.app/Contents/scripts/others/pluginWin.mel line 777: ImportError: file /Users/c0n4/Library/Preferences/Autodesk/maya/scripts/prAttractNode.py line 148: No module named prLibrary.prLibrary // // Warning: file: /Applications/Autodesk/maya2015/Maya.app/Contents/scripts/others/pluginWin.mel line 777: Failed to run file: /Users/c0n4/Library/Preferences/Autodesk/maya/scripts/prAttractNode.py // // Error: file: /Applications/Autodesk/maya2015/Maya.app/Contents/scripts/others/pluginWin.mel line 777: (prAttractNode) //
  • Replyindent
    parzival roethlein

    parzival roethlein said over 8 years ago:

    Hey thanks for the note, I just checked it out and the python version of the plug-in is not working on any OS at the moment. The library import and the other line you mentioned are a mistake that I'll have to fix. I have no idea how that happened. I guess when I half-heatedly tried to unify the py/cpp versions. I'll try to get on that soon. I'll write a comment when I am done.
  • rifaulmen

    rifaulmen said over 8 years ago:

    It tested on Maya 2014 with Linux Ubuntu 12.04 LTS 64bit.. I Load From Plugin prAttractNode.py Work perfectly... Appreciate love.....

Post a reply: